Subject: Re: bug#41089: 11.91; preview-latex gets confused by tikz calc syntax

From: Arash Esbati <[email-masked]>
Date: Mon, 11 May 2020 21:53:50 +0200

Dylan Thurston <[email-masked]> writes:

> On Wed, May 06, 2020 at 07:51:41AM +0200, Arash Esbati wrote:
>> I think the main issue is that tikz throws an error when $ is redefined:
>> 
>>     Package tikz Error: Sorry, some package has redefined the meaning of
>>     the math-mode dollar sign. This is incompatible with tikz and its
>>     calc library and might cause unrecoverable errors.
>
> Ah, thanks for the hint. And indeed googling it reveals an answer, as
> explained here:
> https://tex.stackexchange.com/questions/149626/tikz-library-calc-and-auctex-preview-in-emacs-fails

Thanks for the link.  I think we should add something to the manual of
preview.sty about the problem and the solution.  WDYT, would it make
sense?

Best, Arash